Android Studio 3.0 Beta 1: не удалось разрешить: com.android.support:multidex:1.0.2

После перехода с Android Studio 3.0 (Canary 5) на Android Studio 3.0 (бета-версия 1) и перехода к последней градации, то есть 'com.android.tools.build:gradle:3.0.0-beta1'

Когда я пытаюсь выполнить градировку, это ошибка, указанная ниже.

 Failed to resolve: com.android.support:multidex:1.0.2 Failed to resolve: com.android.support:multidex-instrumentation:1.0.2 

Я проверяю Android Studio 3.0 Canary 9 – Не удалось разрешить пакеты , это не решает мою проблему, так как у меня уже есть это

  maven { url 'https://maven.google.com' } 

Я удивляюсь, что даже просил multidex 1.0.2, поскольку у меня есть только в моем build.gradle

 compile 'com.android.support:multidex:1.0.1' 

Я проверяю использование ./gradlew app:dependencies | grep multidex ./gradlew app:dependencies | grep multidex , он показывает сбои, как показано ниже (через различные вкусы и т. Д.),

 +--- com.android.support:multidex-instrumentation:1.0.2 FAILED +--- com.android.support:multidex:1.0.1 +--- com.android.support:multidex:1.0.2 FAILED +--- com.android.support:multidex:1.0.1 -> 1.0.2 FAILED 

Откуда multidex:1.0.2 зависимости multidex:1.0.2 и multidex-instrumentation:1.0.2 ? Как я могу решить эту проблему?

Solutions Collecting From Web of "Android Studio 3.0 Beta 1: не удалось разрешить: com.android.support:multidex:1.0.2"

По-видимому, моя проблема в том, что я должен опубликовать свой

 maven { url 'https://maven.google.com' } 

allprojects а не в buildscript (тонкие разные ослепили меня, где проблема), как buildscript ниже.

 allprojects { respositories { maven { url 'https://maven.google.com' } } } 

Благодаря MD для указателей!

Сначала вам нужно очистить проект, а затем перестроить его.

Build —-> Чистый проект

Build —-> Реконструкция проекта

Если вы находитесь в Китае, пожалуйста, используйте

 allprojects { respositories { google() } } 

Вместо этого

 allprojects { respositories { maven { url 'https://maven.google.com' } } } 

Не спрашивайте меня, почему, я не хочу вам говорить …. может быть, « https://maven.google.com » был выбран GFW?